Subject: Re: bug#71572: [PATCH] seconds-to-string-approximate

From: JD Smith <[email-masked]>
Date: Sat, 6 Jul 2024 15:29:01 -0400

> On Jul 4, 2024, at 3:09 AM, Paul Eggert <[email-masked]> wrote:
> 
> On 7/4/24 06:29, Eli Zaretskii wrote:
> 
>>  . seconds-to-string lacks the "1 hour 11 min" output format
> 
> That format could be confusing with negative delays, e.g., "-1 hour 11 min".

Does anyone share this concern for negative delays?  I wouldn't have trouble interpreting that (and negative delays are likely the rare case).

> I'm not sold on the "half" argument; seems like a cuteness rather than a feature that's all that useful (among other things, it assumes Unicode or something like it).

Is this an actual problem, i.e. do we universally avoid unicode in core files?  We could drop the HALF, but it's to me quite useful when rounding to just a few weeks or months.

> What's really going on here is that there's an optional argument specifying style and I imagine that style preferences will differ (Mastodon style, etc.).

There are 1000 different ways to come at this; we currently offer 17 "styles": 16 "readable" plus the original seconds-to-string style.

> Is there an ISO or similar standard for this sort of thing?

I've never seen one if so.

Any other thoughts?